 
set echo on
col name format a50 wrapped

ALTER SESSION SET result_cache_mode = MANUAL;

exec runstats_pkg.rs_start;

DECLARE

   TYPE id_ntt IS TABLE OF products.prod_id%TYPE;
   nt_ids id_ntt := id_ntt(40,41,42,43,44,45,46,47);

   v_name products.prod_name%TYPE;

BEGIN
   FOR i IN 1 .. 125000 LOOP
      FOR ii IN 1 .. nt_ids.COUNT LOOP

         SELECT prod_name INTO v_name
         FROM   products 
         WHERE  prod_id = nt_ids(ii);

      END LOOP;
   END LOOP;
END;
/

exec runstats_pkg.rs_middle;

DECLARE

   TYPE id_ntt IS TABLE OF products.prod_id%TYPE;
   nt_ids id_ntt := id_ntt(40,41,42,43,44,45,46,47);

   v_name products.prod_name%TYPE;

BEGIN
   FOR i IN 1 .. 125000 LOOP
      FOR ii IN 1 .. nt_ids.COUNT LOOP

         SELECT /*+ RESULT_CACHE */ prod_name INTO v_name
         FROM   products 
         WHERE  prod_id = nt_ids(ii);

      END LOOP;
   END LOOP;
END;
/

exec runstats_pkg.rs_stop(1000);

