
set echo on
set serveroutput off

CREATE VIEW v_products
AS
   SELECT /*+ RESULT_CACHE */ *
   FROM   products;

SELECT * FROM v_products;

SELECT /*+ GATHER_PLAN_STATISTICS */
       p.prod_name
,      AVG(s.quantity_sold) AS avg_sales
FROM   sales s
,     (SELECT * FROM v_products) p
WHERE  s.prod_id = p.prod_id
GROUP  BY
       p.prod_name;

SELECT *
FROM   TABLE(
          DBMS_XPLAN.DISPLAY_CURSOR(
             NULL,NULL,'IOSTATS LAST'));

SELECT /*+ GATHER_PLAN_STATISTICS */
       p.prod_name
,      AVG(s.quantity_sold) AS avg_sales
FROM   sales s
,      v_products p
WHERE  s.prod_id = p.prod_id
GROUP  BY
       p.prod_name;

SELECT *
FROM   TABLE(
          DBMS_XPLAN.DISPLAY_CURSOR(
             NULL,NULL,'IOSTATS LAST'));

