
set echo on

UPDATE products 
SET    prod_name = prod_name
WHERE  ROWNUM = 1;

COMMIT;

set autotrace traceonly statistics

SELECT p.prod_name
,      SUM(s.amount_sold)   AS total_revenue
,      SUM(s.quantity_sold) AS total_sales
FROM   sales s
,      products p
WHERE  s.prod_id = p.prod_id
GROUP  BY
       p.prod_name;

set autotrace off

col name format a50 trunc
col value format 99999999999999

SELECT id
,      name
,      type
,      invalidations
,      status
FROM   v$result_cache_objects;


