

set echo on

col min_name format a30 wrapped
col max_name format a30 wrapped

ALTER SESSION SET result_cache_mode = FORCE;

DECLARE
   v_first_name customers.cust_first_name%TYPE;
BEGIN
   FOR i IN 1 .. 2 LOOP
      FOR r IN (SELECT cust_id FROM customers) LOOP
         SELECT cust_first_name INTO v_first_name
         FROM   customers 
         WHERE  cust_id = r.cust_id;
      END LOOP;
   END LOOP;
END;
/

SELECT MIN(name) AS min_name
,      MAX(name) AS max_name
,      COUNT(*)  AS cache_entries
FROM   v$result_cache_objects
WHERE  type = 'Result';

SELECT *
FROM   v$result_cache_statistics;

