
set echo on

SELECT value
FROM   v$parameter
WHERE  name = 'result_cache_mode';

set autotrace traceonly
set timing on

SELECT /*+ RESULT_CACHE */
       p.prod_name
,      SUM(s.amount_sold)   AS total_revenue
,      SUM(s.quantity_sold) AS total_sales
FROM   sales s
,      products p
WHERE  s.prod_id = p.prod_id
GROUP  BY
       p.prod_name;

SELECT /*+ RESULT_CACHE */
       p.prod_name
,      SUM(s.amount_sold)   AS total_revenue
,      SUM(s.quantity_sold) AS total_sales
FROM   sales s
,      products p
WHERE  s.prod_id = p.prod_id
GROUP  BY
       p.prod_name;

set timing off
set autotrace off

