
set echo on

ALTER SESSION SET result_cache_mode = FORCE;

set autotrace traceonly
set timing on

SELECT p.prod_name
,      SUM(s.amount_sold)   AS total_revenue
,      SUM(s.quantity_sold) AS total_sales
FROM   sales s
,      products p
WHERE  s.prod_id = p.prod_id
GROUP  BY
       p.prod_name;

SELECT p.prod_name
,      MAX(s.quantity_sold) AS max_sales
FROM   sales s
,      products p
WHERE  s.prod_id = p.prod_id
GROUP  BY
       p.prod_name;

SELECT p.prod_name
,      MAX(s.quantity_sold) AS max_sales
FROM   sales s
,      products p
WHERE  s.prod_id = p.prod_id
GROUP  BY
       p.prod_name;

set timing off
set autotrace off

