
set echo on
col name format a55 wrapped

ALTER SESSION SET result_cache_mode = FORCE;

DECLARE

   TYPE id_ntt IS TABLE OF products.prod_id%TYPE;
   nt_ids id_ntt := id_ntt(40,41,42,43);

   v_name products.prod_name%TYPE;

BEGIN
   FOR i IN 1 .. 10 LOOP
      FOR ii IN 1 .. nt_ids.COUNT LOOP

         SELECT prod_name INTO v_name
         FROM   products 
         WHERE  prod_id = nt_ids(ii);

      END LOOP;
   END LOOP;
END;
/

SELECT name
,      type
,      row_count 
FROM   v$result_cache_objects
ORDER  BY
       creation_timestamp;

